Bug 523883 - (haskell-platform) Review Request: haskell-platform - Standard Haskell distribution
Review Request: haskell-platform - Standard Haskell distribution
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
http://hackage.haskell.org/platform
:
Depends On: 471003 517141 517144 517197 523104 523886 555638 556727 557390 557391 557392 557393
Blocks: Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2009-09-16 22:58 EDT by Jens Petersen
Modified: 2010-10-05 09:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 05:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bos: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-09-16 22:58:41 EDT
Spec URL: http://petersen.fedorapeople.org/haskell-platform/haskell-platform.spec
SRPM URL: http://petersen.fedorapeople.org/haskell-platform/haskell-platform-2009.2.0.2-1.fc11.src.rpm
Description:
A set of blessed Haskell libraries and tools.
Comment 1 Jens Petersen 2009-09-16 23:18:52 EDT
With this users can just "yum install haskell-platform"
and have a fully functional haskell devel env.
Not sure if this will qualify fedora as the first distro to
fully support haskell-platform officially? :)
Comment 2 Bryan O'Sullivan 2009-09-24 18:32:58 EDT
The BuildRequires for this package are incorrect. It should fail before the %build stage due to unmet dependencies, but instead I get a build-time failure:

Configuring haskell-platform-2009.2.0.2...
Setup: At least the following dependencies are missing:
HTTP ==4000.0.6,
cgi ==3001.1.7.1,
editline ==0.2.1.0,
fgl ==5.4.2.2,
network ==2.2.1.4,
zlib ==0.5.0.0
Comment 3 Bryan O'Sullivan 2009-09-26 12:43:22 EDT
We have until the 29th to get this in for the F-12 beta freeze. Let's go! :-)
Comment 4 Jens Petersen 2009-09-27 22:41:47 EDT
Thanks for testing.  Now that we have all the haskell-platform
packages in dist-f12 I rebuilt HTTP and cgi for the new network
package.

Spec: http://petersen.fedorapeople.org/haskell-platform/haskell-platform.spec
SRPM: http://petersen.fedorapeople.org/haskell-platform/haskell-platform-2009.2.0.2-2.fc11.src.rpm

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-2
- add all the buildrequires (#523883)
- create ghcpkgdir since metapackage
- nothing in bindir


Built for me in koji just now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1712315
Comment 5 Bryan O'Sullivan 2009-09-27 23:42:29 EDT
#  MUST: rpmlint must be run on every package. The output should be posted in
the review.

$ rpmlint haskell-platform-2009.2.0.2-2.fc11.src.rpm 
haskell-platform.src: W: strange-permission haskell-platform-2009.2.0.2.tar.gz 0600
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

~ $ rpmlint haskell-platform-2009.2.0.2-2.fc11.x86_64.rpm \
  ghc-haskell-platform-devel-2009.2.0.2-2.fc11.x86_64.rpm \
  ghc-haskell-platform-doc-2009.2.0.2-2.fc11.x86_64.rpm \
  ghc-haskell-platform-prof-2009.2.0.2-2.fc11.x86_64.rpm
haskell-platform.x86_64: E: devel-dependency ghc-haskell-platform-devel
haskell-platform.x86_64: E: no-binary
ghc-haskell-platform-devel.x86_64: W: only-non-binary-in-usr-lib
ghc-haskell-platform-devel.x86_64: W: no-documentation
ghc-haskell-platform-doc.x86_64: E: description-line-too-long This package contains development documentation files for the haskell-platform library.
ghc-haskell-platform-prof.x86_64: E: devel-dependency ghc-haskell-platform-devel
ghc-haskell-platform-prof.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 4 errors, 3 warnings.

I think that the package summary and description need fixing, since they're currently boilerplate and haskell-platform is different than other Haskell packages.

Other errors and warnings are generally fine.

# MUST: The package must be named according to the Package Naming Guidelines .

Yes.

# MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.

Yes.

# MUST: The package must meet the Packaging Guidelines .

Yes.

# MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .

Yes.

# MUST: The License field in the package spec file must match the actual
license.

Yes.

# MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

Yes.

# MUST: The spec file must be written in American English.

Yes.

# MUST: The spec file for the package MUST be legible.

Yes.

# MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Yes.

# MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.

Yes.

# MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.

N/A.

# MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

Yes.

# MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A.

# MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.

N/A.

# MUST: Packages must NOT bundle copies of system libraries.

Yes.

# MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A.

# MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.

Yes.

# MUST: A Fedora package must not list a file more than once in the spec file's
%files listings.

Yes.

# MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

Yes.

# MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

Yes.

# MUST: Each package must consistently use macros.

Yes.

# MUST: The package must contain code, or permissable content.

Yes.

# MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).

Yes.

# MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

Yes.

# MUST: Header files must be in a -devel package.

Yes.

# MUST: Static libraries must be in a -static package.

N/A.

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).

N/A.

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.

N/A.

# MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}

N/A.

# MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

Yes.

# MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.

N/A.

# MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

Yes.

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).

Yes.

# MUST: All filenames in rpm packages must be valid UTF-8.

Yes.

Subject to the minor edits at the beginning of this review, this package is APPROVED.
Comment 6 Jens Petersen 2009-09-28 00:56:24 EDT
Thanks Bryan and congratulations - looks like we have reached the goal!

I'll fix the rpmlint before importing.
Comment 7 Jens Petersen 2009-09-28 01:12:32 EDT
New Package CVS Request
=======================
Package Name: haskell-platform
Short Description: Standard Haskell distribution
Owners: petersen, bos
Branches: devel F-11
InitialCC: haskell-sig
Comment 8 Jens Petersen 2009-09-29 05:55:18 EDT
cvs admin done
Comment 9 Jens Petersen 2009-09-29 05:55:53 EDT
package imported and built
Comment 10 Fedora Update System 2009-09-29 06:17:22 EDT
ghc-HTTP-4000.0.6-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-HTTP-4000.0.6-5.fc11
Comment 11 Fedora Update System 2009-09-30 20:01:57 EDT
ghc-HTTP-4000.0.6-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-10-01 02:01:07 EDT
haskell-platform-2009.2.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/haskell-platform-2009.2.0.1-1.fc11
Comment 13 Fedora Update System 2009-10-03 15:08:58 EDT
haskell-platform-2009.2.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Jens Petersen 2010-10-05 01:02:23 EDT
Package Change Request
======================
Package Name: haskell-platform
New Branches: el6
Owners: petersen bos
InitialCC: haskell-sig
Comment 15 Jason Tibbitts 2010-10-05 09:23:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.